Search products
Searches products in the API key workspace. Omit filter to return all products. The maximum page size is 100.
POST
/products-searchAuthorization
apiKey products:read-onlyx-api-key<token>
In: header
Scope: products:read-only
Header Parameters
X-Api-Version?string
API version date. Requests without the header use 2026-07.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
prompt?string
Optional natural-language product search.
fields?array<string>
Omit fields to return all available product search fields.
orderBy?
filter?|
Omit the filter to search all products in the API key workspace.
offset*number
Number of matching products to skip.
limit*number
Maximum number of products to return.
curl -X POST "https://example.com/products-search" \ -H "X-Api-Version: 2026-07" \ -H "Content-Type: application/json" \ -d '{ "offset": 0, "limit": 1 }'{ "meta": { "maxResults": 0.1 }, "items": [ { "status": "string", "symbol": "string", "imageUrl": "string", "vendor": "string", "collectionExternalIds": [ "string" ], "collections": [ "string" ], "currency": "string", "originalPrice": 0, "price": 0, "updated": "string", "created": "string", "externalId": "string", "isForSale": true, "url": "string", "bodyHtml": "string", "title": "string", "id": "string" } ]}{ "traceId": "string", "message": "string", "path": "string", "timestamp": "string", "statusCode": 0.1}{ "traceId": "string", "message": "string", "path": "string", "timestamp": "string", "statusCode": 0.1}